/*
 Navicat Premium Dump SQL

 Source Server         : qdhome.iot321.top-dev
 Source Server Type    : MySQL
 Source Server Version : 50740 (5.7.40-log)
 Source Host           : qdhome.iot321.top:33103
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 50740 (5.7.40-log)
 File Encoding         : 65001

 Date: 15/12/2024 19:22:48
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sim_real_exam
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam`;
CREATE TABLE `sim_real_exam`  (
  `exam_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '考试ID',
  `exam_collection_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '考试集合ID',
  `user_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '学员ID/用户ID',
  `seat_id` bigint(20) NOT NULL COMMENT '座ID',
  `sim_id` bigint(20) NOT NULL DEFAULT 0 COMMENT '模拟器ID',
  `exam_status` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '考试状\r\n0:未登录\r\n1:已登录\r\n2:模拟器检查并下发ok\r\n3:答题中\r\n4:已交卷\r\n5:获取模拟成绩分析\r\n80:教师标记缺考\r\n81:登录未开始答题\r\n90:模拟器异常结束\r\n',
  `total_score` int(3) NULL DEFAULT NULL COMMENT '总分:累加扣分和计算出总分',
  `deduction_total_score` int(3) NULL DEFAULT NULL COMMENT '扣分总计,不计超时扣分',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试实际开始时间(毫秒)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试实际结束时间(毫秒)',
  `login_time` datetime NULL DEFAULT NULL COMMENT '登录时间',
  `logout_time` datetime NULL DEFAULT NULL COMMENT '登出时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
